Subject: Re: csv-kill-fields broken in text mode

From: Filipp Gunbin <[email-masked]>
Date: Mon, 16 Jul 2018 15:58:01 +0300

On 14/07/2018 05:30 +0000, Bob Babcock wrote:

> I just discovered a surprising interaction: csv-kill-fields and csv-kill-
> multiple-columns break if the buffer is in text mode and a (quoted) field
> contains a comma.
>
> For example, take the line
> "1,2","3"
> and interactively delete the first field with csv-kill-fields.
>
> If the buffer is in csv or fundamental mode, the result is, as expected
> "3"
>
> If the buffer is in text mode, the result is
> 2","3"
>
> I have not tested other functions in csv-mode.el for similar breakage.
>
> Is there a better place to report this?  Maybe the only change should be to
> document the mode requirement.  The only reason I'm in text mode is that I
> am pasting csv data into an existing text file for reformat to fixed
> columns.

These commands are not standard commands, but csv-mode specific
commands, so they work only in csv-mode.